handleMessage-methods {iSPlot} | R Documentation

## handleMessage reads and acts upon a message object

### Description

The handleMessage method reads and acts upon a message object so that the information in a message is used in the proper manner. Every message class must have a handleMessage method so that the message will be read.

### Methods

object = "gUpdateViewMessage"
  The handleMessage method for a gUpdateViewMessage object will make sure that a view is updated after the data has changed.
object = "gUpdateDataMessage"
  The handleMessage method for a gUpdateDataMessage object will update the data depending on what is stored in the gUpdateDataMessage object.
object = "gAddDataMessage"
  The handleMessage method for a gAddDataMessage object will load a model and create a MVC object using the function, loadModel.
object = "gAddViewMessage"
  The handleMessage method for a gAddViewMessage will create a view object.

[Package iSPlot version 1.12.0 Index]